﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.loader {
    width: 190px;
    height: 190px;
    border-radius: 50%;
    background-color: #005f86;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.loader-dots {
    display: flex;
    gap: 12px;
    /* transform: rotate(45deg);
            animation: spin 2s ease-in-out infinite; */
}

.dot {
    width: 62px;
    height: 62px;
    background-color: none;
    border-radius: 0px;
    border: 3px solid #ffffff;
    transform: rotate(65deg);
    animation: pulse 1.4s ease-in-out infinite;
}

    .dot:nth-child(1) {
        animation-delay: 0s;
        margin-right: -30px;
    }

    .dot:nth-child(2) {
        animation-delay: 0.2s;
        margin-right: -30px;
    }

    .dot:nth-child(3) {
        animation-delay: 0.4s;
    }

@keyframes pulse {

    0%, 100% {
        opacity: 1;
    }

    50% {
        opacity: 0.4;
    }
}

.loading-progress-text {

    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
    margin-top:2vh;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }
